## r-cran-fingerprint 3.5.7

=== DESCRIPTION ===
Package: fingerprint
Version: 3.5.7
Date: 2018-01-06
Title: Functions to Operate on Binary Fingerprint Data
Author: Rajarshi Guha <rajarshi.guha@gmail.com>
Maintainer: Rajarshi Guha <rajarshi.guha@gmail.com>
BugReports: https://github.com/rajarshi/cdkr/issues
Description: Functions to manipulate binary fingerprints
 of arbitrary length. A fingerprint is represented by an object of S4 class 'fingerprint'
 which is internally represented a vector of integers, such
 that each element represents the position in the fingerprint that is set to 1.
 The bitwise logical functions in R are overridden so that they can be used directly
 with 'fingerprint' objects. A number of distance metrics are also
 available (many contributed by Michael Fadock). Fingerprints 
 can be converted to Euclidean vectors (i.e., points on the unit hypersphere) and
 can also be folded using OR.  Arbitrary fingerprint formats can be handled via line
 handlers. Currently handlers are provided for CDK, MOE and BCI fingerprint data.
License: GPL
Depends: methods
LazyLoad: yes
Suggests: RUnit
NeedsCompilation: yes
Packaged: 2018-01-07 00:11:57 UTC; guhar
Repository: CRAN
Date/Publication: 2018-01-07 22:44:58 UTC

=== inst/unitTests/Makefile ===
TOP=../..
PKG=${shell cd ${TOP};pwd}
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

=== debian/changelog ===
r-cran-fingerprint (3.5.7-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:58:33 +0000

r-cran-fingerprint (3.5.7-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 21:23:19 +0200

r-cran-fingerprint (3.5.7-1) unstable; urgency=medium

  * Initial release (closes: #954870)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Mar 2020 19:08:27 +0100

=== debian/control ===
Source: r-cran-fingerprint
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fingerprint
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fingerprint.git
Homepage: https://cran.r-project.org/package=fingerprint
Rules-Requires-Root: no

Package: r-cran-fingerprint
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions to operate on binary fingerprint data
 Functions to manipulate binary fingerprints of arbitrary length. A
 fingerprint is represented by an object of S4 class 'fingerprint' which
 is internally represented a vector of integers, such that each element
 represents the position in the fingerprint that is set to 1. The bitwise
 logical functions in R are overridden so that they can be used directly
 with 'fingerprint' objects. A number of distance metrics are also
 available (many contributed by Michael Fadock). Fingerprints can be
 converted to Euclidean vectors (i.e., points on the unit hypersphere)
 and can also be folded using OR. Arbitrary fingerprint formats can be
 handled via line handlers. Currently handlers are provided for CDK, MOE
 and BCI fingerprint data.
